@import "preact-material-components/TopAppBar/mdc-top-app-bar.scss";

.category {
	padding-top: $mdc-top-app-bar-row-height;
	min-height: 100%;
	width: 100%;
	margin-bottom: 56px * 2;
}

.fl {
	float: left;
}

.fr {
	float: right;
}

.mr {
	margin-right: 8px;
}

.p0 {
	padding: 0;
}

.dn {
	display: none;
}

@import "../Header/style.scss";

.w100 {
	width: 100%;
}

.gp0 {
	padding-top: 0;
	padding-bottom: 4px;
}

.gpb0 {
	padding-bottom: 0;
}

.gg0 {
	grid-row-gap: 4px;
}

.prel {
	position: relative;
}

.pabsr0 {
	position: absolute;
	right: 0;
}

.mb0 {
	margin-bottom: 0;
}

.kioskButton {
	margin-top: 2px;
	margin-right: 2px;
	background: url(/assets/vendor/gray.png) left top repeat;
    border: 1px solid #eff1f1;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
	border-radius: 3px;
	color: white !important;
	font-weight: bold;

	img {
		padding-right: 4px;
	}
}

.kioskButtonSel {
	@extend .kioskButton;
    border: 1px solid #dfba3c;
	background: url(/assets/vendor/bg40.png) left top repeat-x;
	color: #2f2b21 !important;
}

.kioskButtonInactive {
	background: none;
	color: #4b4b4b;
}

.kioskManufacturerButton {
	display: inline-block;
	margin: 3px;
	padding: 3px;
	border: 4px solid transparent;
	border-radius: 5px;

	img {
		// margin: 4px;
		// padding: 4px;
		// border: 4px solid transparent;
		// border-radius: 5px;

		display: inline;
		// object-fit: contain;
		vertical-align: middle;
	}

	svg {
		vertical-align: middle;
		width: 34px;
		height: 34px;
	}
}

.kioskManufacturerButtonSel {
	@extend .kioskManufacturerButton;
	border: 4px solid #efca4c;
	
	img {
		margin-right: 4px;
	}
}

.quickFilterView {
	text-align: center;
}

.sortingView {
	@extend .quickFilterView;
	margin-top: 16px;
	margin-bottom: 16px;

	span {
		margin-left: 28px;
	}

	// span:first-of-type {
	// 	margin-left: 0;
	// }
}

.prel2 {
	//span:nth-of-type(1) {
		//position: absolute;
		//left: 0;
	//}

	span:nth-of-type(2) {
		//position: absolute;
		//right: 0;
		margin-left: 8px;
	}
}

.f150 {
	font-size: 150%;
}

.f120 {
	font-size: 120%;
}

.car {
	text-align: center;
	margin-top: 4px;
	margin-left: 4px;
	margin-right: 4px;
	vertical-align: top;

	img {
		margin-left: 4px;
		width: auto;
		height: 100%;
		vertical-align: top;
	}
}

$cell-border: 1px solid lightgray;

.carTable {
	width: 100%;
	white-space: nowrap;
	text-align: center;
	border: none;
	border-spacing: 0;
	border-collapse: collapse;

	tr > td {
		&:first-of-type {
			vertical-align: middle;
			padding-left: 8px;
		}

		&:last-of-type {
			vertical-align: middle;
			padding-left: 8px;
			padding-right: 8px;
		}

		table {
			border: 0;
			border-spacing: 0;
			border-collapse: collapse;

			tbody > tr {
				td {
					border-top: $cell-border;
					border-right: $cell-border;
					padding-left: 4px;
					padding-right: 4px;
				}

				td:last-of-type {
					border-right: none;
				}

				&:first-of-type > td {
					border-top: none;
				}

				&:nth-of-type(1) > td:nth-of-type(1) {
					border-right: none;
					font-size: 110%;
				}

				&:nth-of-type(2), &:nth-of-type(3), &:nth-of-type(4) {
					td:nth-of-type(2) {
						border-right: none;
					}
					td:nth-of-type(3), td:nth-of-type(4) {
						border-top: none;
					}
				}

				&:nth-of-type(5) > td {
					border: none;
				}

				&:nth-of-type(6) > td {
					border-top: none;
					font-size: 110%;
				}
			}
		}
	}
}
